Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.context
Class ViewContextReference

    java.lang.Object
      org.deegree.portal.context.ViewContextReference

    public class ViewContextReference

extends Object

This class encapsulates a reference to a Web Map Context document as defined int the OGC Web Map Context specification

Version:
  $Revision: 18195 $
Author:
  Andreas Poth

Constructor Summary
`ViewContextReference(String title, URL contextURL)` Creates a new ViewContextReference object.

Method Summary
`URL` | `getContextURL()`
`String` | `getTitle()`
`void` | `setContextURL(URL contextURL)`
`void` | `setTitle(String title)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewContextReference

    public ViewContextReference(String title,
                                URL contextURL)
                         throws ContextException

  Creates a new ViewContextReference object.

  Parameters:
    `title` - title of the context
    `contextURL` - URL where to access the context
  Throws:
    `ContextException`

Method Detail

### getTitle

    public String getTitle()

  Returns:
    the title

### setTitle

    public void setTitle(String title)
                  throws ContextException

  Parameters:
    `title` -
  Throws:
    `ContextException`

### getContextURL

    public URL getContextURL()

  Returns:
    the context url.

### setContextURL

    public void setContextURL(URL contextURL)
                       throws ContextException

  Parameters:
    `contextURL` -
  Throws:
    `ContextException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org